from dataclasses import dataclass
import datetime
from typing import Iterable, List


@dataclass
class ForumPost:
    userName: str = '-1'
    status: str = '-1'
    reputation: str = '-1'
    interest: str = '-1'
    sign: str = '-1'
    post: str = '-1'
    feedback: str = '-1'
    datePosted: datetime = datetime.datetime(1970,1,1)


@dataclass
class ForumTopic:
    topicId: str
    topicName: str
    href: str
    postList: List[ForumPost]
    

@dataclass
class ForumListing:
    boardName: str
    topicsNum: int
    topicList: List[ForumTopic]

